﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Charting;

namespace SilverlightApplication8
{
    public partial class CategoryBarZoom : UserControl
    {
        public CategoryBarZoom()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(CategoryBarZoom_Loaded);
        }

        void CategoryBarZoom_Loaded(object sender, RoutedEventArgs e)
        {
            RadChart1.DefaultView.ChartArea.ZoomScrollSettingsX.ScrollMode = ScrollMode.ScrollAndZoom;

            this.SetMappings(RadChart1);
            RadChart1.ItemsSource = new List<MyData>() {
                new MyData("Name1", 5),
                new MyData("Name2", 15),
                new MyData("Name3", 5),
                new MyData("Name4", 25),
                new MyData("Name5", 5),
                new MyData("Name6", 35),
                new MyData("Name7", 5),
                new MyData("Name8", 25),
                new MyData("Name9", 5),
                new MyData("Name10", 25),
                new MyData("Name11", 5)
            };
        }


        private void SetMappings(RadChart chart)
        {
            SeriesMapping seriesMapping = new SeriesMapping();
            seriesMapping.SeriesDefinition = new HorizontalBarSeriesDefinition();
            ItemMapping itemMapping = new ItemMapping();
            itemMapping.DataPointMember = DataPointMember.YValue;
            itemMapping.FieldName = "Value";
            seriesMapping.ItemMappings.Add(itemMapping);
            itemMapping = new ItemMapping();
            itemMapping.DataPointMember = DataPointMember.XCategory;
            itemMapping.FieldName = "Name";
            seriesMapping.ItemMappings.Add(itemMapping);
            chart.SeriesMappings.Add(seriesMapping);
        }


    }

    public class MyData
    {
        public double Value { get; set; }
        public string Name { get; set; }

        public MyData(string name, double value)
        {
            this.Name = name;
            this.Value = value;
        }
    }
}
